

// base const css
:root {
    --default-layout-header-height: 80px;
    // Default layout
    --font-family-san-serif: work-Sans, sans-serif;
    --font-family-san-serif-full: -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, 'Helvetica Neue', Arial,
        sans-serif, 'Apple Color Emoji', 'Segoe UI Emoji', 'Segoe UI Symbol';
    --font-family-monospace: SFMono-Regular, Menlo, Monaco, Consolas, 'Liberation Mono', 'Courier New', monospace;
    --theme-color: #ff8084;
    --blue: #007bff;
    --indigo: #6610f2;
    --purple: #6f42c1;
    --pink: #e83e8c;
    --red: #dc3545;
    --orange: #fd7e14;
    --yellow: #ffc107;
    --green: #28a745;
    --teal: #20c997;
    --cyan: #17a2b8;
    --white: #fff;
    --gray: #6c757d;
    --gray-dark: #343a40;
    --primary: #007bff;
    --secondary: #6c757d;
    --success: #28a745;
    --info: #17a2b8;
    --warning: #ffc107;
    --danger: #dc3545;
    --light: #f8f9fa;
    --dark: #343a40;
    --breakpoint-xs: 0;
    --breakpoint-sm: 576px;
    --breakpoint-md: 768px;
    --breakpoint-lg: 992px;
    --breakpoint-xl: 1200px;
    --text-color: #777777;
    --full-width: 1366px;
    // Default layout
    --default-layout-header-height: 80px;
    --default-layout-width: 100%;
    --default-layout-horizontal-spacer: 24px;

    --font-warning : #ffbc58;
    --font-danger : #a5a5a5;
    --font-secondary : #13c9ca;
    --font-primary: #ff8084;
}

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    &:before,
    :after {
        box-sizing: border-box;
    }
}
* a {
    color: var(--text-color);
}


.o-hidden {
    overflow: hidden;
}
  
.media-body {
    flex: 1 1;
}
.row {
    h3 { 
        small {
            font-size: 12px;
            margin-top: 7px;
            letter-spacing: 1px;
            text-transform: capitalize;
            color: var(--text-color);
        }
    }
}
// Svg
svg {
    vertical-align: baseline;
    &:not(:root) {
        overflow: hidden;
    }
}

// images
.media {
    display: flex;
    align-items: flex-start;
}
.align-items-center {
    align-items: center !important;
}
.pull-right {
    float: right;
}
.img-60 {
    width: 60px !important;
}

.img-50 {
    width: 50px !important;
}

.img-40 {
    width: 40px !important;
}
.align-self-center {
    align-self: center !important;
}
.rounded-circle {
    border-radius: 50% !important;
}

// text css
.txt-success {
    color: #81ba00 !important;
}
.txt-danger {
    color: #a5a5a5 !important;
}
.text-center {
    text-align: center !important;
}
.text-right {
    text-align: right !important;
}

// badge
.badge {
    display: inline-block;
    padding: 0.25em 0.4em;
    font-size: 75%;
    font-weight: 700;
    line-height: 1;
    text-align: center;
    white-space: nowrap;
    vertical-align: baseline;
    border-radius: 0.25rem;
}

.badge-pill {
    padding-right: 0.6em;
    padding-left: 0.6em;
    border-radius: 10rem;
}

.badge-primary {
    color: #fff;
    background-color: var(--theme-color);
}

// container
.container-fluid {
    width: 100%;
    padding-right: 15px;
    padding-left: 15px;
    margin-right: auto;
    margin-left: auto;
   
}
.container {
    width: 100%;
    padding-right: 15px;
    padding-left: 15px;
    margin-right: auto;
    margin-left: auto;
}



// margin 
.mt-3, .my-3 {
    margin-top: 1rem !important;
}
.m-0 {
    margin: 0px !important;
}
.mb-0, .my-0 {
    margin-bottom: 0 !important;
}

// font size 
.f-14 {
    font-size: 14px;
}
.align-self-center {
    align-self: center !important;
}
.bg-warning {
    background-color: var(--font-warning) !important; 
}
.bg-primary {
    background-color: var(--font-primary) !important;
}
.bg-secondary {
    background-color:var(--font-secondary) !important
}
.bg-danger{
    background-color: var(--font-danger) !important
} 
footer {
    margin-left: 255px;
    transition: all 0.3s ease;
    bottom: 0;
    z-index: 8;
    background-color: var(--white);
    border-top: 1px solid #f8f8f9;
    padding: 15px;
    bottom: 0;
    left: 0;
    p {
        color: #a5a5a5;
        line-height: 1.7;
    }
} 
.font-warning {
    color:  var(--font-warning) !important; 
}
.font-primary    {
    color: var(--font-primary) !important;
}
.font-secondary {
    color: var(--font-secondary) !important
}
.font-danger {
    color:  var(--font-danger) !important
}
.p-0 {
    padding: 0 !important;
}
 
 
// card 
.card {
    margin-bottom: 30px;
    border: 0px;
    transition: all 0.3s ease;
    letter-spacing: 0.5px;
    border-radius: 8px;
    box-shadow: 1px 5px 24px 0 rgb(68 102 242 / 5%);
}
.card  {
    .card-body {
        padding: 30px;
        background-color: var(--white);
    }
}

.card-left {
    z-index: 1;
}

.card {
    .card-header {
        background-color: #fff;
        padding: 30px;
        border-bottom: 1px solid #f8f8f9;
        border-top-left-radius: 8px;
        border-top-right-radius: 8px;
    }
    .card-header { 
            h5 {
            font-size: 18px;
            margin-bottom: 0;
            text-transform: capitalize;
            font-weight: 600;
            line-height: 24px;
        }
    }
}
// Button css

.btn {
    font-size: 14px;
    padding: 0.5rem 1.5rem;
    border-radius: 5px;
    letter-spacing: 1px;
    line-height: 20px;
    text-transform: uppercase;
    font-weight: 700;
    color: var(--white);
    cursor: pointer;
}
.btn-primary {
    border-radius: 25px;
    margin-top: 12px;
    font-weight: 400;
    padding: 11px 45px;   
    background-color: var(--theme-color) !important;
    border-color: var(--theme-color)  !important;
    color: var(--white);
    &:hover, &:focus, &:active, &.active {
        background-color: #ff4d53 !important;
        border-color: #ff4d53 !important;
        color: var(--white);
    }
}
 
.single-item{
    margin-bottom: 30px;
    .slick-dots { 
        li {
            margin: 0 5px !important;
            button {
                &::before {
                    font-size: 12px;
                    color: #fff;
                }   
            }
        }
        li.slick-active  {
            button {
                &::before {
                    font-size: 12px;
                    color: #fff;
                }   
            }
        }
    }  
}  

 
@keyframes strike{
    0%   { width : 0; }
    100% { width: 100%; }
}
.strike {
    position: relative;
}
.strike {
    &::after {
        content: ' ';
        position: absolute;
        top: 50%;
        left: 0;
        width: 100%;
        height: 1px;
        background: black;
        animation-name: strike;
        animation-duration: 0.7s;
        animation-timing-function: linear; 
    }
}
